MsWrdTextInternal::Field Struct Reference

Internal: the field of MsWrdParser. More...

## Public Member Functions

| Field ()
| constructor

## Public Attributes

std::string | m_text
| the text
int | m_id
| the id
std::string | m_error
| the errors

## Friends

std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<<

## Detailed Description

Internal: the field of MsWrdParser.

## Constructor & Destructor Documentation

## Field()

MsWrdTextInternal::Field::Field | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Field const & | field )

friend

operator<<

## Member Data Documentation

## m_error

std::string MsWrdTextInternal::Field::m_error

the errors

Referenced by Field(), operator<<, and MsWrdText::readFields().

## m_id

int MsWrdTextInternal::Field::m_id

the id

Referenced by Field(), operator<<, and MsWrdText::readFields().

## m_text

std::string MsWrdTextInternal::Field::m_text

the text

Referenced by Field(), operator<<, and MsWrdText::readFields().

The documentation for this struct was generated from the following file:

- MsWrdText.cxx